package com.brilliance.isc.common.context;

import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.stereotype.Component;

@Component
public class SpringEnvContext implements ApplicationContextAware {

    private static ApplicationContext applicationContext;
    @Override
    public void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
        SpringEnvContext.applicationContext = applicationContext;
    }

    public static ApplicationContext getApplicationContext(ApplicationContext applicationContext) throws BeansException {
        return applicationContext;
    }

    public static <T> T getBean(String name){
        return (T)applicationContext.getBean(name);
    }
    public static <T> T getBean(Class<T> type){
        return applicationContext.getBean(type);
    }
    public static boolean containsBean(String beanName){
        return applicationContext.containsBean(beanName);
    }
}
